DescriptorProtos.FileDescriptorProtoOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.FileDescriptorProtoOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.FileDescriptorProto, DescriptorProtos.FileDescriptorProto.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.FileDescriptorProtoOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDependency(int index)` Names of files imported by this file.
    `ByteString` | `getDependencyBytes(int index)` Names of files imported by this file.
    `int` | `getDependencyCount()` Names of files imported by this file.
    `java.util.List<java.lang.String>` | `getDependencyList()` Names of files imported by this file.
    `DescriptorProtos.EnumDescriptorProto` | `getEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `int` | `getEnumTypeCount()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto>` | `getEnumTypeList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.EnumDescriptorProtoOrBuilder` | `getEnumTypeOrBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>` | `getEnumTypeOrBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FieldDescriptorProto` | `getExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `int` | `getExtensionCount()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getExtensionList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getExtensionOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getExtensionOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.DescriptorProto` | `getMessageType(int index)` All top-level definitions in this file.
    `int` | `getMessageTypeCount()` All top-level definitions in this file.
    `java.util.List<DescriptorProtos.DescriptorProto>` | `getMessageTypeList()` All top-level definitions in this file.
    `DescriptorProtos.DescriptorProtoOrBuilder` | `getMessageTypeOrBuilder(int index)` All top-level definitions in this file.
    `java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder>` | `getMessageTypeOrBuilderList()` All top-level definitions in this file.
    `java.lang.String` | `getName()` file name, relative to root of source tree
    `ByteString` | `getNameBytes()` file name, relative to root of source tree
    `DescriptorProtos.FileOptions` | `getOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.FileOptions options = 8;`
    `java.lang.String` | `getPackage()` e.g.
    `ByteString` | `getPackageBytes()` e.g.
    `int` | `getPublicDependency(int index)` Indexes of the public imported files in the dependency list above.
    `int` | `getPublicDependencyCount()` Indexes of the public imported files in the dependency list above.
    `java.util.List<java.lang.Integer>` | `getPublicDependencyList()` Indexes of the public imported files in the dependency list above.
    `DescriptorProtos.ServiceDescriptorProto` | `getService(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `int` | `getServiceCount()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<DescriptorProtos.ServiceDescriptorProto>` | `getServiceList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.ServiceDescriptorProtoOrBuilder` | `getServiceOrBuilder(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder>` | `getServiceOrBuilderList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.SourceCodeInfo` | `getSourceCodeInfo()` This field contains optional information about the original source code.
    `DescriptorProtos.SourceCodeInfoOrBuilder` | `getSourceCodeInfoOrBuilder()` This field contains optional information about the original source code.
    `java.lang.String` | `getSyntax()` The syntax of the proto file.
    `ByteString` | `getSyntaxBytes()` The syntax of the proto file.
    `int` | `getWeakDependency(int index)` Indexes of the weak imported files in the dependency list.
    `int` | `getWeakDependencyCount()` Indexes of the weak imported files in the dependency list.
    `java.util.List<java.lang.Integer>` | `getWeakDependencyList()` Indexes of the weak imported files in the dependency list.
    `boolean` | `hasName()` file name, relative to root of source tree
    `boolean` | `hasOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `boolean` | `hasPackage()` e.g.
    `boolean` | `hasSourceCodeInfo()` This field contains optional information about the original source code.
    `boolean` | `hasSyntax()` The syntax of the proto file.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

           file name, relative to root of source tree

      `optional string name = 1;`

    - #### getName

          java.lang.String getName()

           file name, relative to root of source tree

      `optional string name = 1;`

    - #### getNameBytes

          ByteString getNameBytes()

           file name, relative to root of source tree

      `optional string name = 1;`

    - #### hasPackage

          boolean hasPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`

    - #### getPackage

          java.lang.String getPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`

    - #### getPackageBytes

          ByteString getPackageBytes()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`

    - #### getDependencyList

          java.util.List<java.lang.String> getDependencyList()

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### getDependencyCount

          int getDependencyCount()

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### getDependency

          java.lang.String getDependency(int index)

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### getDependencyBytes

          ByteString getDependencyBytes(int index)

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### getPublicDependencyList

          java.util.List<java.lang.Integer> getPublicDependencyList()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### getPublicDependencyCount

          int getPublicDependencyCount()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### getPublicDependency

          int getPublicDependency(int index)

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### getWeakDependencyList

          java.util.List<java.lang.Integer> getWeakDependencyList()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### getWeakDependencyCount

          int getWeakDependencyCount()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### getWeakDependency

          int getWeakDependency(int index)

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### getMessageTypeList

          java.util.List<DescriptorProtos.DescriptorProto> getMessageTypeList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageType

          DescriptorProtos.DescriptorProto getMessageType(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageTypeCount

          int getMessageTypeCount()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageTypeOrBuilderList

          java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getMessageTypeOrBuilderList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageTypeOrBuilder

          DescriptorProtos.DescriptorProtoOrBuilder getMessageTypeOrBuilder(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getEnumTypeList

          java.util.List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumType

          DescriptorProtos.EnumDescriptorProto getEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumTypeCount

          int getEnumTypeCount()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumTypeOrBuilderList

          java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumTypeOrBuilder

          DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getServiceList

          java.util.List<DescriptorProtos.ServiceDescriptorProto> getServiceList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getService

          DescriptorProtos.ServiceDescriptorProto getService(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getServiceCount

          int getServiceCount()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getServiceOrBuilderList

          java.util.List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder> getServiceOrBuilderList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getServiceOrBuilder

          DescriptorProtos.ServiceDescriptorProtoOrBuilder getServiceOrBuilder(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getExtensionList

          java.util.List<DescriptorProtos.FieldDescriptorProto> getExtensionList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtension

          DescriptorProtos.FieldDescriptorProto getExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtensionCount

          int getExtensionCount()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtensionOrBuilderList

          java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtensionOrBuilder

          DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### hasOptions

          boolean hasOptions()

      `optional .google.protobuf.FileOptions options = 8;`

    - #### getOptions

          DescriptorProtos.FileOptions getOptions()

      `optional .google.protobuf.FileOptions options = 8;`

    - #### getOptionsOrBuilder

          DescriptorProtos.FileOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.FileOptions options = 8;`

    - #### hasSourceCodeInfo

          boolean hasSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### getSourceCodeInfo

          DescriptorProtos.SourceCodeInfo getSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### getSourceCodeInfoOrBuilder

          DescriptorProtos.SourceCodeInfoOrBuilder getSourceCodeInfoOrBuilder()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### hasSyntax

          boolean hasSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`

    - #### getSyntax

          java.lang.String getSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`

    - #### getSyntaxBytes

          ByteString getSyntaxBytes()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`